flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maurice Amsellem <maurice.amsel...@systar.com>
Subject RE: [DISCUSSION] Apache Flex 4.12.0 release candidate 3
Date Sun, 02 Mar 2014 11:54:41 GMT
I have tried installing 4.12 RC3 with the latest installer (3.0.0, from https://dist.apache.org/repos/dist/dev/flex/installer/3.0/rc2/binaries/)

But the result is worse:

Generated air-confi.xml and air-mobile-config.xml are not good

Contains :
<external-library-path>
         <path-element>{airHome}/frameworks/libs/air/airglobal.swc</path-element>
</external-library-path>

{airhome} should not be there.

So the mobile app does not even compile now.

I am rather surprised having such issues. 
Did I miss something ?

Maurice 

-----Message d'origine-----
De : Maurice Amsellem [mailto:maurice.amsellem@systar.com] 
Envoyé : dimanche 2 mars 2014 12:26
À : dev@flex.apache.org
Objet : RE: [DISCUSSION] Apache Flex 4.12.0 release candidate 3

False alert:  I was using an old version of the installer (2.7.0) instead of latest that I
installed for testing and forgot to remove.
Will check with the latest installer now.

-----Message d'origine-----
De : Maurice Amsellem [mailto:maurice.amsellem@systar.com]
Envoyé : dimanche 2 mars 2014 11:42
À : dev@flex.apache.org
Objet : RE: [DISCUSSION] Apache Flex 4.12.0 release candidate 3

Issue with RC3:

When I compile mobile app with SDK 4.12 RC3 + AIR 4.0 ,  that was built from src, and run
it with ADL  => the app start correctly However, I also installed RC3 using Apache Installer,with
AIR 4.0 / FP12.0 The same mobile app compile fine, but when started with ADL I am getting
the error:
ADL exit error 4.
Error occurs when testing in IntelliJ 13.0.3 and FB 4.7.

Doc says:
ADL exit error 4:  The runtime cannot be started. Often, this occurs because the version specified
in the application does not match the version of the runtime

( I have tested swf version: it's 23).

I did -dump-config for both tests (from SRC and from installer) and the config files are almost
same (only paths, and order of libs differ).

Someone else has the same issue ?

Maurice 

-----Message d'origine-----
De : omuppi1@gmail.com [mailto:omuppi1@gmail.com] De la part de OmPrakash Muppirala Envoyé :
dimanche 2 mars 2014 07:40 À : dev@flex.apache.org Objet : Re: [DISCUSSION] Apache Flex
4.12.0 release candidate 3

I just checked, no such calls are made from Installer 2.7.  Justin, are you sure you are not
testing 3.0?

All the strings are hardcoded in the app, there should be no calls made when changing locales.

Thanks,
Om


On Sat, Mar 1, 2014 at 10:37 PM, Alex Harui <aharui@adobe.com> wrote:

> Don't know.  Installer 2.7 shouldn't even know about those files.
>
> I would expect the installer 3.0 RC to get one, but not all of them, 
> unless you change languages.  Are you saying installer 2.7 loads every 
> one of them at startup?
>
> -Alex
>
> On 3/1/14 10:31 PM, "Justin Mclean" <justin@classsoftware.com> wrote:
>
> >Hi,
> >
> >> You mean installer 2.7?  Those strings are hard coded into the app.
> >Then why is it making HTTP requests each time you change the locale?
> >
> >Like so:
> >GET /installer/properties/de_DE.properties HTTP/1.1 GET 
> >/installer/properties/en_AU.properties HTTP/1.1 etc etc
> >
> >Thanks,
> >Justin
>
>

Mime
View raw message